# Uses of Interface
javax.swing.table.TableCellRenderer

Packages that use TableCellRenderer
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of TableCellRenderer in javax.swing

Methods in javax.swing that return TableCellRenderer
Modifier and Type
Method
Description
`TableCellRenderer`
JTable.`getCellRenderer​(int row, int column)`
Returns an appropriate renderer for the cell specified by this row and column.
`TableCellRenderer`
JTable.`getDefaultRenderer​(Class<?> columnClass)`
Returns the cell renderer to be used when no renderer has been set in a `TableColumn`.
Methods in javax.swing with parameters of type TableCellRenderer
Modifier and Type
Method
Description
`Component`
JTable.`prepareRenderer​(TableCellRenderer renderer, int row, int column)`
Prepares the renderer by querying the data model for the value and selection state of the cell at `row`, `column`.
`void`
JTable.`setDefaultRenderer​(Class<?> columnClass, TableCellRenderer renderer)`
Sets a default cell renderer to be used if no renderer has been set in a `TableColumn`.

## Uses of TableCellRenderer in javax.swing.table

Classes in javax.swing.table that implement TableCellRenderer
Modifier and Type
Class
Description
`class`
`DefaultTableCellRenderer`
The standard class for rendering (displaying) individual cells in a `JTable`.
`static class`
`DefaultTableCellRenderer.UIResource`
A subclass of `DefaultTableCellRenderer` that implements `UIResource`.
Fields in javax.swing.table declared as TableCellRenderer
Modifier and Type
Field
Description
`protected TableCellRenderer`
TableColumn.`cellRenderer`
The renderer used to draw the data cells of the column.
`protected TableCellRenderer`
TableColumn.`headerRenderer`
The renderer used to draw the header of the column.
Methods in javax.swing.table that return TableCellRenderer
Modifier and Type
Method
Description
`protected TableCellRenderer`
TableColumn.`createDefaultHeaderRenderer()`
As of Java 2 platform v1.3, this method is not called by the `TableColumn` constructor.
`protected TableCellRenderer`
JTableHeader.`createDefaultRenderer()`
Returns a default renderer to be used when no header renderer is defined by a `TableColumn`.
`TableCellRenderer`
TableColumn.`getCellRenderer()`
Returns the `TableCellRenderer` used by the `JTable` to draw values for this column.
`TableCellRenderer`
JTableHeader.`getDefaultRenderer()`
Returns the default renderer used when no `headerRenderer` is defined by a `TableColumn`.
`TableCellRenderer`
TableColumn.`getHeaderRenderer()`
Returns the `TableCellRenderer` used to draw the header of the `TableColumn`.
Methods in javax.swing.table with parameters of type TableCellRenderer
Modifier and Type
Method
Description
`void`
TableColumn.`setCellRenderer​(TableCellRenderer cellRenderer)`
Sets the `TableCellRenderer` used by `JTable` to draw individual values for this column.
`void`
JTableHeader.`setDefaultRenderer​(TableCellRenderer defaultRenderer)`
Sets the default renderer to be used when no `headerRenderer` is defined by a `TableColumn`.
`void`
TableColumn.`setHeaderRenderer​(TableCellRenderer headerRenderer)`
Sets the `TableCellRenderer` used to draw the `TableColumn`'s header to `headerRenderer`.
Constructors in javax.swing.table with parameters of type TableCellRenderer
Modifier
Constructor
Description
``
`TableColumn​(int modelIndex, int width, TableCellRenderer cellRenderer, TableCellEditor cellEditor)`
Creates and initializes an instance of `TableColumn` with the specified model index, width, cell renderer, and cell editor; all `TableColumn` constructors delegate to this one.